| Flutter Impeller |

Public Attributes | List of all members
impeller::compiler::UniformDescription Struct Reference

`#include <types.h>`

## Public Attributes
std::string | name
size_t | location = 0u
size_t | binding = 0u
spirv_cross::SPIRType::BaseType | type = spirv_cross::SPIRType::BaseType::Float
size_t | rows = 0u
size_t | columns = 0u
size_t | bit_width = 0u
std::optional< size_t > | array_elements = std::nullopt
std::vector< fb::PaddingType > | padding_layout = {}
std::vector< StructField > | struct_fields = {}
size_t | struct_float_count = 0u

## Detailed Description

Definition at line 56 of file types.h.

## Member Data Documentation

## ◆ array_elements

std::optional<size_t> impeller::compiler::UniformDescription::array_elements = std::nullopt

Definition at line 64 of file types.h.

## ◆ binding

size_t impeller::compiler::UniformDescription::binding = 0u

Definition at line 59 of file types.h.

## ◆ bit_width

size_t impeller::compiler::UniformDescription::bit_width = 0u

Definition at line 63 of file types.h.

## ◆ columns

size_t impeller::compiler::UniformDescription::columns = 0u

Definition at line 62 of file types.h.

## ◆ location

size_t impeller::compiler::UniformDescription::location = 0u

Definition at line 58 of file types.h.

## ◆ name

std::string impeller::compiler::UniformDescription::name

Definition at line 57 of file types.h.

## ◆ padding_layout

std::vector<fb::PaddingType> impeller::compiler::UniformDescription::padding_layout = {}

The layout of padding bytes in the uniform buffer. The format matches the values in the flatbuffer UniformDescription::padding_layout.

See also
  RuntimeEffectContents::EmplaceUniform

Definition at line 69 of file types.h.

## ◆ rows

size_t impeller::compiler::UniformDescription::rows = 0u

Definition at line 61 of file types.h.

## ◆ struct_fields

std::vector<StructField> impeller::compiler::UniformDescription::struct_fields = {}

Definition at line 72 of file types.h.

## ◆ struct_float_count

size_t impeller::compiler::UniformDescription::struct_float_count = 0u

Definition at line 73 of file types.h.

## ◆ type

spirv_cross::SPIRType::BaseType impeller::compiler::UniformDescription::type = spirv_cross::SPIRType::BaseType::Float

Definition at line 60 of file types.h.

The documentation for this struct was generated from the following file:

- impeller/compiler/types.h